# \errorManagement

errorManagement Class of the back-end application

Management of error

## Summary

Methods
Properties
Constants
__construct()
BaseErrorHandler()
BadResponseHandler()
NotImplementedHandler()
UserInputHandler()
OtherException()
No public properties found
No constants found
No protected methods found
$app
N/A
No private methods found
No private properties found
N/A

File
  core/ErrorManagement.php
Package
  Default
Class hierarchy
  \errorManagement

## Tags

None found

## Properties

### $app

    $app : \App

#### Type

\App — protected, contains the main app object

#

## Tags

None found

## Methods

### __construct()

    __construct(\App  $args) : \ErrorManagement

ErrorManagemement constructor

#### Parameters

\App | $args | the main app object

#### Returns

\ErrorManagement —

Object

#

## Tags

None found

### BaseErrorHandler()

    BaseErrorHandler(\Exception  $error) : void

Put an error message corresponding to a base error in the output

#### Parameters

\Exception | $error | the exception triggered

#

## Tags

None found

### BadResponseHandler()

    BadResponseHandler(\Exception  $error) : void

Put an error message corresponding to a bad response in function of the status code in the output

#### Parameters

\Exception | $error | the exception triggered

#

## Tags

None found

### NotImplementedHandler()

    NotImplementedHandler(\Exception  $error) : void

Put an error message corresponding to a not implemented yet error in the output

#### Parameters

\Exception | $error | the exception triggered

#

## Tags

None found

### UserInputHandler()

    UserInputHandler(\Exception  $error) : void

Put an error message corresponding to a user input error in the output

#### Parameters

\Exception | $error | the exception triggered

#

## Tags

None found

### OtherException()

    OtherException(\Exception  $error) : void

Put an error message corresponding to an other error in the output

#### Parameters

\Exception | $error | the exception triggered

#

## Tags

None found

### ErrorManagement.php